%define debug_package %{nil}

Name: libregf
Version: 20160107
Release: 1%{?dist}
Summary: Library to access the Windows NT Registry File (REGF) format
Group: System Environment/Libraries
License: LGPL
Source: %{name}-alpha-%{version}.tar.gz
%if 0%{?centos} == 5
Patch1: %{name}-%{version}-patch-001
%endif
URL: http://code.google.com/p/libregf/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
libregf is a library to access the Windows NT Registry File (REGF) format

%package devel
Summary: Header files and libraries for developing applications for libregf
Group: Development/Libraries
Requires: libregf = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libregf.

%package tools
Summary: Several tools for reading Windows NT Registry Files (REGF)
Group: Applications/System
Requires: libregf = %{version}-%{release}  fuse-libs 
BuildRequires:  fuse-devel 

%description tools
Several tools for reading Windows NT Registry Files (REGF)

%package python
Summary: Python bindings for libregf
Group: System Environment/Libraries
Requires: libregf = %{version}-%{release} python
BuildRequires: %(basename %{__python})-devel

%description python
Python bindings for libregf

%prep
%setup -q
%if 0%{?centos} == 5
%patch1 -p1
%endif

%build
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%if 0%{?centos} == 5
sed --in-place 's/^CC.*=.*gcc$/CC = gcc -std=c99/' pyregf/Makefile
%endif

make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libregf.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/regfinfo
%attr(755,root,root) %{_bindir}/regfexport
%attr(755,root,root) %{_bindir}/regfmount
%attr(755,root,root) %{_bindir}/regfreport
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python*/site-packages/*.a
%{_libdir}/python*/site-packages/*.la
%{_libdir}/python*/site-packages/*.so

%changelog
* Thu Jan  7 2016 Lawrence R. Rogers <lrr@cert.org> 20160107-1
* Release 20160107-1
	20160107
	* worked on Python 3 support

	20160106
	* worked on Python 3 support

* Wed Dec 23 2015 Lawrence R. Rogers <lrr@cert.org> 20151223-1
* Release 20151223-1
	20151223
	* worked on format support
	* changed libregf_value_get_value_type to require a 32-bit value type
	* worked for transaction log support

	20151222
	* applied updates

	20151205
	* worked on Python bindings

	20151203
	* worked on handling corrupt integer values

	20150909
	* updated dependencies
	* enlarged pyregf error string buffer

	20150823
	* worked on setup.py

* Sat Jul  4 2015 Lawrence R. Rogers <lrr@cert.org> 20150704-1
* Release 20150704-1
	20150704
	* worked on handling corrupt hive bins

	20150701
	* Bug fixes

	20150411
	* worked on Python-bindings

	20150409
	* worked on empty hive bins data corruption scenario handling

* Sun May 31 2015 Lawrence R. Rogers <lrr@cert.org> 20150315-2
* Release 20150315-2
	Libuna GCC-5 Patch

* Sun Mar 15 2015 Lawrence R. Rogers <lrr@cert.org> 20150315-1
* Release 20150315-1
	20150315
	* bug fix in _get_sub_key_by_path for single character sub key paths

* Mon Jan  5 2015 Lawrence R. Rogers <lrr@cert.org> 20150105-1
* Release 20150105-1
	20150105
	* 2015 update

	20141222
	* worked on Python 3 support
	* worked on tests

	20141130
	* code clean up

	20141119
	* code clean up
	* removed libregf_file_get_version

* Thu Oct 30 2014 Lawrence R. Rogers <lrr@cert.org> 20141026-1
* Release 20141030-1
	20141030
	* changes for deployment

	20141026
	* changes for deployment
	* changes for project site move

	20141019
	* changes for deployment

	20140929
	* removed README.macosx
	* changes for project site move

	20141009
	* updated dependencies and corresponding changes

	20141004
	* update Python-bindings tests

* Fri Sep  5 2014 Lawrence R. Rogers <lrr@cert.org> 20140905-1
* Release 20140905-1
	20140905
	* updated libfwsi version check

	20140831
	* bug fix in Python-bindings

	20140827
	* code clean

* Sun Aug 03 2014 Lawrence R. Rogers <lrr@cert.org> 20140803-1
* Release 20140803-1
	20140803
	* worked on regfmount

	20140801
	* bug fix in Python-bindings
	* worked on regfmount
	  - moved values to sub directory to prevent value and key name clashes
	  - added class name support

	20140729
	* updated dependencies

	20140427
	* fix for dealing with size mismatch between value and block list size
	* improved string size corruption handling

	20140323
	* worked on Python bindings

	20140321
	* worked on Python bindings
	* worked on setup.py

	20140304
	* worked on Python bindings

	20140217
	* worked on Python bindings

* Sat Jan 18 2014 Joachim Metz <joachim.metz@gmail.com> 20140118-1
- Auto-generated

